<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <LinearLayout
	            android:layout_width="match_parent"
	            android:layout_height="wrap_content"
	            android:orientation="horizontal">
	            <TextView
	                android:layout_width="wrap_content"
	                android:layout_height="wrap_content"
	                android:text="Host:         "
	                android:textSize="18sp" />
	            
	            <EditText android:id="@+id/text_host"
	                android:layout_width="match_parent"
	                android:layout_height="wrap_content"
	                android:layout_marginBottom="10sp" />
            </LinearLayout>
            <LinearLayout
	            android:layout_width="match_parent"
	            android:layout_height="wrap_content"
	            android:orientation="horizontal">
	            <TextView
	                android:layout_width="wrap_content"
	                android:layout_height="wrap_content"
	                android:text="Port:          "
	                android:textSize="18sp" />
	            
	            <EditText android:id="@+id/text_port"
	                android:layout_width="match_parent"
	                android:layout_height="wrap_content"
	                android:numeric="integer"
	                android:layout_marginBottom="10sp" />
            </LinearLayout>
            <LinearLayout
	            android:layout_width="match_parent"
	            android:layout_height="wrap_content"
	            android:orientation="horizontal">
	            <TextView
	                android:layout_width="wrap_content"
	                android:layout_height="wrap_content"
	                android:text="User:         "
	                android:textSize="18sp" />
	            
	            <EditText android:id="@+id/text_user"
	                android:layout_width="match_parent"
	                android:layout_height="wrap_content"
	                android:layout_marginBottom="10sp" />
            </LinearLayout>
            <LinearLayout
	            android:layout_width="match_parent"
	            android:layout_height="wrap_content"
	            android:orientation="horizontal">
	            <TextView
	                android:layout_width="wrap_content"
	                android:layout_height="wrap_content"
	                android:text="Password:"
	                android:textSize="18sp" />
	            <EditText android:id="@+id/text_password"
	                android:layout_width="match_parent"
	                android:layout_height="wrap_content"
	                 />
            </LinearLayout>
        </LinearLayout>
        <Button android:id="@+id/button_connect"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="connect" />
        
        <TextView android:id="@+id/text_result0"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        <TextView android:id="@+id/text_result1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        <TextView android:id="@+id/text_result2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        <TextView android:id="@+id/text_result3"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
</LinearLayout>